import { aZ as m, aX as l, aW as a } from "./index-6jcTChn4.js";
import { A as f } from "./AppCard-YGWCah1h.js";
import { u } from "./useIsAppEnabled-i8k_pVtm.js";
import A from "./EventTypeAppSettingsInterface-HXpGPfJV.js";
const S = function({ app: t, eventType: e }) {
  var s;
  const { getAppData: o, setAppData: i, disabled: n } = m(), { enabled: p, updateEnabled: r } = u(t), { t: c } = l();
  return /* @__PURE__ */ a.jsx(
    f,
    {
      app: t,
      description: c("confirmation_page_gif"),
      switchOnClick: (d) => {
        r(d);
      },
      switchChecked: p,
      teamId: ((s = e.team) == null ? void 0 : s.id) || void 0,
      children: /* @__PURE__ */ a.jsx(
        A,
        {
          eventType: e,
          slug: t.slug,
          disabled: n,
          getAppData: o,
          setAppData: i
        }
      )
    }
  );
};
export {
  S as default
};
